# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::VisualizationLibrary Class Reference

Used to initialize/shutdown VisualizationLibrary and to access important global data. More...

`#include <VisualizationLibrary.hpp>`

List of all members.

## Static Public Member Functions

static void | init ()
| Initializes Visualization Library's internal data.
static void | shutdown ()
| Releases all the resources acquired by Visualization Library.
static bool | initialized ()
| Returns true if init() has been called and shutdown() has not been called yet.
static const char * | versionString ()
| Returns the Visualization Library's version string.
static RenderingAbstract * | rendering ()
| Returns Visualization Library's rendering root.
static void | setRendering (RenderingAbstract *rendering)
static FileSystem * | fileSystem ()
| Returns Visualization Library's default FileSystem.
static FontManager * | fontManager ()
| Returns Visualization Library's default FontManager.
static LoadWriterManager * | loadWriterManager ()
| Returns Visualization Library's default LoadWriterManager.
static KeyValues * | envVars ()
| Returns the environment variables used by Visualization Library.
static StandardLog * | logger ()
| Returns the default Log object.
static void * | freeTypeLibrary ()
| For internal use only.

## Static Protected Member Functions

static void | initEnvVars ()
| Initializes the environment variables.

## Detailed Description

Used to initialize/shutdown VisualizationLibrary and to access important global data.

## Member Function Documentation

void VisualizationLibrary::init | ( |  | ) | `[static]`

Initializes Visualization Library's internal data.

void VisualizationLibrary::shutdown | ( |  | ) | `[static]`

Releases all the resources acquired by Visualization Library.

bool VisualizationLibrary::initialized | ( |  | ) | `[static]`

Returns true if init() has been called and shutdown() has not been called yet.

const char * VisualizationLibrary::versionString | ( |  | ) | `[static]`

Returns the Visualization Library's version string.

RenderingAbstract * VisualizationLibrary::rendering | ( |  | ) | `[static]`

Returns Visualization Library's rendering root.

void VisualizationLibrary::setRendering | ( | RenderingAbstract * | rendering | ) | `[static]`

FileSystem * VisualizationLibrary::fileSystem | ( |  | ) | `[static]`

Returns Visualization Library's default FileSystem.

FontManager * VisualizationLibrary::fontManager | ( |  | ) | `[static]`

Returns Visualization Library's default FontManager.

LoadWriterManager * VisualizationLibrary::loadWriterManager | ( |  | ) | `[static]`

Returns Visualization Library's default LoadWriterManager.

KeyValues * VisualizationLibrary::envVars | ( |  | ) | `[static]`

Returns the environment variables used by Visualization Library.

Can also be used to globally pass parameters across different parts of an application.

StandardLog * VisualizationLibrary::logger | ( |  | ) | `[static]`

Returns the default Log object.

void * VisualizationLibrary::freeTypeLibrary | ( |  | ) | `[static]`

For internal use only.

void VisualizationLibrary::initEnvVars | ( |  | ) | `[static, protected]`

Initializes the environment variables.

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/VisualizationLibrary.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/VisualizationLibrary.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.